---
title: RTCPeerConnection.onidpassertionerror
slug: Web/API/RTCPeerConnection/onidpassertionerror
tags:
  - Authentication
  - Event Handler
  - IdP
  - Identity
  - Obsolete
  - Property
  - RTCPeerConnection
  - Reference
  - WebRTC
  - WebRTC API
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>The <code><strong>RTCPeerConnection.onidpassertionerror</strong></code> event handler is a property containing the code to execute whent the {{event("idpassertionerror")}} event, of type {{domxref("RTCIdentityErrorEvent")}}, is received by this {{domxref("RTCPeerConnection")}}. Such an event is sent when the associated identity provider (IdP) encounters an error while generating an identity assertion.</p>

<p><em>This event handler is deprecated.</em> You should instead detect IdP assertion errors by handling rejection of the {{jsxref("promise")}} returned by {{domxref("RTCPeerConnection.peerIdentity")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>peerconnection</em>.onidpassertionerror = <em>function</em>;
</pre>

<h3 id="Values">Values</h3>

<ul>
 <li><code>function</code> is the name of a user-defined function, without the <code>()</code> suffix or any parameters, or an anonymous function declaration, such as <code>function(event) {...}</code>. An event handler always has one single parameter, containing the event, here of type {{domxref("RTCIdentityErrorEvent")}}.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">pc.onidpassertionerror = function(ev) { alert("onidpassertionerror event detected!"); };
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.onidpassertionerror")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{event("idpassertionerror")}} event and its type, {{domxref("RTCIdentityErrorEvent")}}.</li>
</ul>
